Summary:	Interact with the EFI Boot Manager
Name:		efibootmgr
Version:	0.6.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Boot and Init
URL:		http://domsch.com/linux/ia64/efibootmgr
Source0:	http://linux.dell.com/%{name}/permalink/%{name}-%{version}.tar.gz
BuildRequires:	pciutils-devel
BuildRequires:	zlib-devel
ExclusiveArch:	%{ix86} x86_64 ia64

%description
This is efibootmgr, a Linux user-space application to modify the Intel
Extensible Firmware Interface (EFI) Boot Manager.  This application
can create and destroy boot entries, change the boot order, change
the next running boot option, and more.

Details on the EFI Boot Manager are available from the EFI
Specification, v1.02 or above, available from http://developer.intel.com.

Note: efibootmgr requires that the kernel module efivars be loaded
prior to use.  'modprobe efivars' should do the trick.

%prep
%setup -q

gzip -9 -c src/man/man8/%{name}.8 > src/man/man8/%{name}.8.gz
touch -r src/man/man8/%{name}.8 src/man/man8/%{name}.8.gz

%build
%make

%install
mkdir -p %{buildroot}%{_sbindir}
install -m755 src/%{name}/%{name} %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_mandir}/man8
install -p --mode 755 src/%{name}/%{name} %{buildroot}%{_sbindir}
install -p --mode 644 src/man/man8/%{name}.8.gz %{buildroot}%{_mandir}/man8

%files
%doc AUTHORS COPYING README
%doc doc/ChangeLog doc/TODO
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8.xz


%changelog
* Sat Aug 10 2013 barjac <barjac> 0.6.0-1.mga4
+ Revision: 465085
- new version 0.6.0
- remove patches applied upstream

* Mon Jan 21 2013 barjac <barjac> 0.5.4-4.mga3
+ Revision: 390304
- update group

* Fri Jan 11 2013 umeabot <umeabot> 0.5.4-3.mga3
+ Revision: 349536
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 barjac <barjac> 0.5.4-2.mga3
+ Revision: 300612
- Changed group in line with new policy

* Sat Jun 30 2012 barjac <barjac> 0.5.4-1.mga3
+ Revision: 265231
- Clean spec
- Fix man compression in files
- Import Fedora package


* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 01 2010 Peter Jones <pjones@redhat.com> - 0.5.4-10
- Add support for bootable devices with 4kB sectors.

* Wed Apr 14 2010 Peter Jones <pjones@redhat.com> - 0.5.4-9
- Make \EFI\redhat\grub.efi the default bootloader
  Resolves: rhbz#579665

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 06 2009 Matt Domsch <Matt_Domsch@dell.com> - 0.5.4-6
- make ExclusiveArch %%{ix86} now that packages are being built as .i586

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr 03 2008 Peter Jones <pjones@redhat.com> - 0.5.4-4
- Revert changes in -3, they weren't finalized and we don't need
  the feature at this time.

* Thu Mar 06 2008 Peter Jones <pjones@redhat.com> - 0.5.4-3
- Add support for setting driver related variables.

* Tue Feb  5 2008 Matt Domsch <Matt_Domsch@dell.com> 0.5.4-2
- rebuild with conflicts/obsoletes matching elilo

* Thu Jan  3 2008 Matt Domsch <Matt_Domsch@dell.com> 0.5.4-1
- split efibootmgr into its own RPM for Fedora/RHEL.

* Thu Aug 24 2004 Matt Domsch <Matt_Domsch@dell.com>
- new home linux.dell.com

* Fri May 18 2001 Matt Domsch <Matt_Domsch@dell.com>
- See doc/ChangeLog
